# InputStream Class Reference
[Various accompanying utilities]

Inheritance diagram for InputStream:
[legend]

List of all members.

## Public Member Functions

| read ($length)
| reads a maximum of $length bytes
| isEof ()
| mark ()
| markSupported ()
| reset ()
| skip ($count)
| available ()
| close ()

## Detailed Description

Definition at line 15 of file InputStream.class.php.

## Member Function Documentation

InputStream::available | ( |  | ) |

Reimplemented in BufferedInputStream.

Definition at line 62 of file InputStream.class.php.

InputStream::close | ( |  | ) |

Returns:
  InputStream

Reimplemented in BufferedInputStream, FileInputStream, and StringInputStream.

Definition at line 70 of file InputStream.class.php.

InputStream::isEof | ( |  | ) | `[abstract]`

Reimplemented in BufferedInputStream, FileInputStream, SocketInputStream, and StringInputStream.

InputStream::mark | ( |  | ) |

Returns:
  InputStream

Reimplemented in BufferedInputStream, FileInputStream, and StringInputStream.

Definition at line 38 of file InputStream.class.php.

InputStream::markSupported | ( |  | ) |

Reimplemented in BufferedInputStream, FileInputStream, and StringInputStream.

Definition at line 45 of file InputStream.class.php.

InputStream::read | ( | $ | length | ) | `[abstract]`

reads a maximum of $length bytes

returns null on eof or if length == 0. Otherwise MUST return at least one byte or throw IOException

NOTE: if length is too large to read all data at once and eof has not been reached, it MUST BLOCK until all data is read or eof is reached or throw IOException.

It is abnormal state. Maybe you should use some kind of non-blocking channels instead?

Reimplemented in BufferedInputStream, FileInputStream, SocketInputStream, and StringInputStream.

Referenced by skip().

InputStream::reset | ( |  | ) |

Reimplemented in BufferedInputStream, FileInputStream, and StringInputStream.

Definition at line 50 of file InputStream.class.php.

InputStream::skip | ( | $ | count | ) |

Definition at line 57 of file InputStream.class.php.

References read().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- main/Utils/IO/InputStream.class.php